## org.apache.myfaces.renderkit.html.ext
Class HtmlMessageRenderer.MessageLabelInfo

    java.lang.Object
      org.apache.myfaces.renderkit.html.ext.HtmlMessageRenderer.MessageLabelInfo

Enclosing class:
  HtmlMessageRenderer

public static class HtmlMessageRenderer.MessageLabelInfo
extends java.lang.Object

Constructor Summary
`HtmlMessageRenderer.MessageLabelInfo(javax.faces.component.UIComponent forComponent, java.lang.String text)`

Method Summary
`javax.faces.component.UIComponent` `getForComponent()`
`java.lang.String` `getText()`
`void` `setForComponent(javax.faces.component.UIComponent forComponent)`
`void` `setText(java.lang.String text)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlMessageRenderer.MessageLabelInfo

    public HtmlMessageRenderer.MessageLabelInfo(javax.faces.component.UIComponent forComponent,
                                                java.lang.String text)

Method Detail

### getForComponent

    public javax.faces.component.UIComponent getForComponent()

### setForComponent

    public void setForComponent(javax.faces.component.UIComponent forComponent)

### getText

    public java.lang.String getText()

### setText

    public void setText(java.lang.String text)